REM This is the startup batch file that my BBS3.PIF executes to start Node #3
REM Which is attached to COM2:

REM A couple of useful options.  First, I use GSZ.EXE for my external
REM protocol driver.  I want the bottom two lines of the screen preserved
REM so that I can see the TriBBS status lines.  Second, I want PKZIP to
REM use only the Windows DPMI server so I disable both XMS and EMS use.

SET GSZWINDOW=23
SET PKUNZIP=-- -+

REM Next I have a bunch of variables that setup the node-specific settings.
REM All are used to affect the operation of various door batch files and
REM utilities.  I have the EXACT SAME batch files in each node's main
REM directory (which makes maintanence a breeze!) and they adjust thier
REM operation according to these evironment variables.

REM This one specifies which COMx: port this node uses, for COM2: it's 2.
SET PORT=2

REM This one specifies the TriBBS Node #.
SET NODE=3

REM This one specifies the port settings used for my TransScan file scanner.
REM Refer to the batch file UPLOAD.BAT for its use.  In the case of Node #3,
REM which runs on COM2:, the setting are for port 2, address 0x2F8, IRQ 3.
SET TSNODE=/P2,$2F8,3,T

REM In case any doors or utilities create temporary files, point them at a
REM different directory for each node.  There seem to be two standards.
REM This is thefirst use of the NODE environment varible set above.  This
REM line will expand the %NODE% as the value set above, namely 3, making
REM the full command: SET TEMP=C:\TEMP\NODE3

SET TEMP=C:\TEMP\NODE%NODE%
SET TMP=%TEMP%

REM This one points the GSZ.EXE/DSZ.EXE program to the correct place to send
REM this node's DSZLOG.LOG file so that TriBBS will find it.  We again use
REM the NODE environment varible set above.  This line will expand the 
REM %NODE% as the value set above, namely 3, making the full
REM command: SET DSZLOG=C:\TB\NODE3\NWORK\DSZLOG.LOG

SET DSZLOG=C:\TB\NODE%NODE%\NWORK\DSZLOG.LOG

REM This one inserts into the front of the PATH for this window, the path to
REM this node's main directory.  That way when BBS.EXE or the door batch files
REM are needed, they come from here.  Again the %NODE% will expand to 3, so
REM the insertion to the path is C:\TB\NODE3

SET PATH=C:\TB\NODE%NODE%;%PATH%

REM Now we change directory to this node's main directory and run my little
REM CLEANDOR.BAT file.  This thing removes any old door drop files from a
REM previous life.  That way everything is kept tidy.  Again note that we
REM are using the %NODE% to get the full path C:\TB\NODE3 for Node #3.

CD \TB\NODE%NODE%
CALL CLEANDOR.BAT

REM Finally, we execute the (almost) plain-vanilla BOARD.BAT to start the
REM BBS.EXE up.  Remember that I have the EXACT SAME batch files in each
REM node's main directory.  Anywhere node-specificity enters, one of the
REM PORT, NODE, or TSNODE variables will be used to avoid calamity.

BOARD
