REM My Solar Realms Elite door file is a bit more complex, but shows the 
REM same sort of trick.  Additionally, this guy needs to be protected from
REM multiple users entering at one time.  When the SRDOOR program runs, it
REM creates a DOORFILE.SR that contain the extracted user information from
REM whatever door file format you told it about (is like MarkG's TriDoor
REM library MUCH better) so if a DOORFILE.SR exists, the door is in use!
REM We the skip down to tell them and exit back to the board.

if exist doorfile.sr goto :inuse

REM This is where the node-specific trick comes in.  The line below will
REM expand to:  SRDOOR -f SETUP.1  or  SRDOOR -f SETUP.2
REM Each of those to configuration files points at the node's main directory
REM so that the correct door file is found (like C:\TB\NODE2\DOOR.SYS)

SRDOOR -f SETUP.%NODE%
SRE %1 %2 %3 %4 %5 %6 %7 %8 %9
COPY NEWS.ANS C:\TB\NODE1\DISPLAY\DRBULL2.ANS
COPY NEWS.TXT C:\TB\NODE1\DISPLAY\DRBULL2.BBS
COPY YESTNEWS.ANS C:\TB\NODE1\DISPLAY\DRBULL3.ANS
COPY YESTNEWS.TXT C:\TB\NODE1\DISPLAY\DRBULL3.BBS

REM Here to make sure the multinode-lockout stuff works, we delete the
REM DOORFILE.SR that SRDOOR.EXE created above.

del doorfile.sr
goto :done

:inuse

REM Show a file to the user telling then the door is in use on another node
REM Since this program uses MarkG's TriDoor library, we just give it a
REM different configuration file for each node, and synthesize the name like
REM usual.

showfile inuse.%NODE%

:done

REM After the SRE game completes, we once again CD back to the node's main
REM directory.

cd \tb\node%NODE%
board
