REM This batch file is part of my NITELY.BAT event.  I use this to wait for
REM a specific node to to go down.  What I do is make each node create a
REM file in the C:\TB directory that is named according to the node number.
REM For example, if Node #2 is not currently active, a file C:\TB\NODEDOWN.2
REM will exist.  This file is created in this batch file.

REM First, determine if the node that we are supposed to check for (as 
REM determined by the %1 batch file variable) is this node (as determined
REM by the %NODE% variable).  If so, we go ahead and signal that the node
REM is down.  When BOARD.BAT ends (not during an event/door), because of the
REM Sysop selecting Exit TriBBS or pressing the F9 while a user is online,
REM the NODEDOWN.%NODE% file is also created.  That way, if he fails to
REM execute the event (because he's dead), we still proceed with the nightly
REM event (or anything else you might want to protect from multi-node
REM activity).

if not #%NODE%# == #%1# goto :wait
echo Node %NODE% is now down >\tb\nodedown.%NODE%

REM Now we check to see if the NODEDOWN.x file exists.  If so, we are done
REM with this little batch file.  Otherwise, we sit and spin to wait for a
REM while (10 seconds or 182 clock ticks) using Norton Utilities Batch
REM Enhancer.  Then we loop back for another look-see.  You might wish to
REM use some other tool, perhaps one that yields time slices.

:wait
if exist \tb\nodedown.%1 goto :seen
be delay 182
goto :wait

:seen

REM We saw the file we were looking for, all done!
